/*
 Jaime Vives, no(C) 1997
 *
 Hi Uknown! This is the original code extracted from "visigoda.pov", only
 cleaned a bit and translated to english. There is only one wall of the
 church to keep small the zip, but the rest it's all the same. I've done
 the whole church with lots of hf/mm (height_field/material_map) pairs.
 Again, all is based on height_fields, I hate to type innecesary CSG! :)
*/

// +-+-+-+ basic includes +-+-+-+
#include "colors.inc"
#include "textures.inc"
#include "stones.inc"

// +-+-+-+ some values +-+-+-+
#declare suavizar=0
#declare r1=seed(567)

// +-+-+-+ textures +-+-+-+
// *** dirty ****
#declare t_sucio=
texture{
 pigment{
  bozo
  turbulence 0.3
  color_map{
   [0 color Clear]
   [0.4 color Clear]
   [1 color Firebrick/2]
  }
  scale <1,3,1>
 }
 normal{bumps}
}
// *** layered basic stone ***
#declare piedra_base=
texture{
 pigment{
  granite
  turbulence 0.2
  color_map{
  [0 color Flesh]
  [1 color Tan]
  }
 }
 normal{granite}
 scale 0.5
}
texture{t_sucio
}
// *** making different textures based on basic stone for each index in the mm **
#declare t_piedra0=texture{pigment{Wheat}}
#declare t_piedra1=texture{piedra_base scale 2+rand(r1) translate 500*rand(r1)}
#declare t_piedra2=texture{piedra_base scale 2+rand(r1) translate 500*rand(r1)}
#declare t_piedra3=texture{piedra_base scale 2+rand(r1) translate 500*rand(r1)}
#declare t_piedra4=texture{piedra_base scale 2+rand(r1) translate 500*rand(r1)}
#declare t_piedra5=texture{piedra_base scale 2+rand(r1) translate 500*rand(r1)}
#declare t_ladrillo=texture{piedra_base}

// *** making the material_map texture ***
#declare t_hf1=
texture{
 material_map{
  gif "mm1"
  texture{t_piedra0}
  texture{t_piedra1}
  texture{t_piedra2}
  texture{t_piedra3}
  texture{t_piedra4}
  texture{t_piedra5}
 }
}

// *** the wall ***
height_field{
 gif "hf1"
 #if (suavizar=1)
   smooth
 #end
 water_level 0.001
 translate -.5
 rotate -90*x
 texture{t_hf1 translate -.5}
 scale <400,400,10>
}

// +-+-+ camera +-+-+
#declare desde=<0,0,-1310>
#declare hacia=<0,0,0>
#declare zoom=3*z
camera{
 location desde
 direction zoom
 look_at hacia
}
light_source{
 <-30000,25000,-25000>
 color White
}

